# Command: IntegerPart

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    IntegerPart - Return integer part of the argument.

Synopsis:

    double IntegerPart -> integerpart

Examples:

      -2.3 IntegerPart -> -2.0

Description:

      In effect sets all digits to the right of the decimal point to
      zero. The sign is preserved. The output value is of type integer.

Parameters:

      The input value must be of type double,
      the output value is of type double.

SeeAlso:

- FractionalPart

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative